public class ROT13 {
    private int shift;

    ROT13(Character cs, Character cf) {
        this.shift = cs - cf;
    }

    ROT13() {
        this.shift = 13;
    }
     /*   * ROT13 - take the 26 letters of the alphabet and create a `String <- crypt(String)` method in the ROT13 class
        * crypt("Why did the chicken cross the road?") should produce
                "Jul qvq gur puvpxra pebff gur ebnq?"
        * crypt("Gb trg gb gur bgure fvqr!") should produce "To get to the other side!"
        * Make a constructor that takes two arguments to set the cipher correspondence. `ROT13 superSecure = new ROT13("a","m");`
        * this defines the SHIFT of the two Character arrays.
        * Caesar - make a subclass of ROT13 that implements the famous caesar cipher.
        * Create you own cipher, using a different set of */

     public String crypt(String text) throws UnsupportedOperationException {
        StringBuilder builder = new StringBuilder();
        char[] chars = text.toCharArray();
        for (int i = 0; i < chars.length; i++) {
            char c = text.charAt(i);
            if (c >= 'a' && c <= 'm') {
                c += 13;
            } else if (c >= 'A' && c <= 'M') {
                c += 13;
            } else if (c >= 'n' && c <= 'z') {
                c -= 13;
            } else if (c >= 'N' && c <= 'Z') {
                c -= 13;
            }
            builder.append(c);
        }
        return builder.toString();
    }

    public String encrypt(String text) {
        return crypt(text);
    }

    public String decrypt(String text) {
        return crypt(text);
    }

    public static String rotate(String s, Character c) {
        String sub = s.substring(0, s.indexOf(c));
        String sub1 = s.substring(s.indexOf(c));
        return sub1.concat(sub);
    }
}
